org.apache.synapse.transport.passthru.api

## Class PassThroughInboundEndpointHandler

- java.lang.Object
- - org.apache.synapse.transport.passthru.api.PassThroughInboundEndpointHandler

-     public class PassThroughInboundEndpointHandler
      extends java.lang.Object

  API class for access PassThrough Core Inbound Endpoint management classes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PassThroughInboundEndpointHandler()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `closeEndpoint(int port)` Close ListeningEndpoint running on the given port
    `static SourceConfiguration` | `getPassThroughSourceConfiguration()`
    `static SourceConfiguration` | `getPassThroughSSLSourceConfiguration()`
    `static boolean` | `isEndpointRunning(int port)` Check Whether inbound endpoint is running for a particular port
    `static boolean` | `startEndpoint(java.net.InetSocketAddress inetSocketAddress, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, java.lang.String endpointName)` Start Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler
    `static boolean` | `startSSLEndpoint(java.net.InetSocketAddress inetSocketAddress, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, java.lang.String endpointName, SSLConfiguration sslConfiguration)` Start SSL Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassThroughInboundEndpointHandler

          public PassThroughInboundEndpointHandler()

  - ### Method Detail

    - #### startEndpoint

          public static boolean startEndpoint(java.net.InetSocketAddress inetSocketAddress,
                                              org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler,
                                              java.lang.String endpointName)

      Start Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler
      Parameters:
        `inetSocketAddress` - Socket Address of the Endpoint need to be start by underlying IOReactor
        `nHttpServerEventHandler` - Event Handler for handle events for Endpoint
        `endpointName` - Name of the Endpoint
      Returns:
        Is Endpoint started successfully

    - #### closeEndpoint

          public static boolean closeEndpoint(int port)

      Close ListeningEndpoint running on the given port
      Parameters:
        `port` - Port of ListeningEndpoint to be closed
      Returns:
        IS successfully closed

    - #### getPassThroughSourceConfiguration

          public static SourceConfiguration getPassThroughSourceConfiguration()
                                                                       throws java.lang.Exception

      Returns:
        Pass Through SourceConfiguration registered by shared IO Reactor of PTT Listener
      Throws:
        `java.lang.Exception`

    - #### getPassThroughSSLSourceConfiguration

          public static SourceConfiguration getPassThroughSSLSourceConfiguration()
                                                                          throws java.lang.Exception

      Returns:
        Pass Through SSL SourceConfiguration registered by shared IO Reactor of PTT Listener
      Throws:
        `java.lang.Exception`

    - #### isEndpointRunning

          public static boolean isEndpointRunning(int port)

      Check Whether inbound endpoint is running for a particular port
      Parameters:
        `port` - port
      Returns:
        whether inbound endpoint is running

    - #### startSSLEndpoint

          public static boolean startSSLEndpoint(java.net.InetSocketAddress inetSocketAddress,
                                                 org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler,
                                                 java.lang.String endpointName,
                                                 SSLConfiguration sslConfiguration)

      Start SSL Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler
      Parameters:
        `inetSocketAddress` - Socket Address of the Endpoint need to be start by underlying IOReactor
        `nHttpServerEventHandler` - Event Handler for handle events for Endpoint
        `endpointName` - Name of the Endpoint
        `sslConfiguration` - SSL Configuration
      Returns:
        Started or Not

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.